SMTPSSLTransport (JavaMail API documentation)
Date: 2019-08-31

com.sun.mail.smtp

## Class SMTPSSLTransport

- java.lang.Object
- - javax.mail.Service
  - - javax.mail.Transport
    - - com.sun.mail.smtp.SMTPTransport
      - - com.sun.mail.smtp.SMTPSSLTransport

-     public class SMTPSSLTransport
      extends SMTPTransport

  This class implements the Transport abstract class using SMTP over SSL for message submission and transport.

- - ### Field Summary

    - ### Fields inherited from class javax.mail.Service

      `debug, session, url`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMTPSSLTransport(Session session, URLName urlname)` Constructor

  - ### Method Summary

    - ### Methods inherited from class com.sun.mail.smtp.SMTPTransport

      `checkConnected, close, connect, data, ehlo, finalize, finishData, getAuthorizationId, getExtensionParameter, getLastReturnCode, getLastServerResponse, getLocalHost, getNoopStrict, getNTLMDomain, getReportSuccess, getRequireStartTLS, getSASLEnabled, getSASLMechanisms, getSASLRealm, getStartTLS, getUseRset, helo, isConnected, isSSL, issueCommand, mailFrom, notifyTransportListeners, protocolConnect, rcptTo, readServerResponse, sasllogin, sendCommand, sendMessage, setAuthorizationID, setLocalHost, setNoopStrict, setNTLMDomain, setReportSuccess, setRequireStartTLS, setSASLEnabled, setSASLMechanisms, setSASLRealm, setStartTLS, setUseRset, simpleCommand, simpleCommand, startTLS, supportsAuthentication, supportsExtension, xtext`

    - ### Methods inherited from class javax.mail.Transport

      `addTransportListener, removeTransportListener, send, send, send, send`

    - ### Methods inherited from class javax.mail.Service

      `addConnectionListener, connect, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SMTPSSLTransport

          public SMTPSSLTransport(Session session,
                                  URLName urlname)

      Constructor

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.